// Version du GLSL
#version 150 core

// Entrée Shader
in vec2 in_Vertex;

// Sorties
out vec3 color;

// Fonction main
void main()
{
    // Position finale du vertex
    gl_Position = vec4(in_Vertex, 0.0, 1.0);

    // Transfert de couleurs
    float value = 1.0-sqrt(in_Vertex.x*in_Vertex.x + in_Vertex.y*in_Vertex.y);
    if (value<0.0)
        value = 0.0;
    color = vec3(value,value,0.0);
}
